PolylineCollection Class

class NXOpen.PolylineCollection

Bases: object

Represents a collection of polylines.

To obtain an instance of this class, refer to NXOpen.BasePart

New in version NX10.0.0.

Methods

Method Description
CreateThroughPoints Create a polyline from points
FindObject Finds the Polyline with the given identifier as recorded in a journal.

Method Detail

CreateThroughPoints

PolylineCollection.CreateThroughPoints

Create a polyline from points

Signature CreateThroughPoints(updateOption, points, isClosed)

Parameters:
Returns:

Return type:

NXOpen.Polyline

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

FindObject

PolylineCollection.FindObject

Finds the Polyline with the given identifier as recorded in a journal. An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the polyline
Returns:
Return type:NXOpen.Polyline

New in version NX10.0.0.

License requirements: None.